Bug 829809 - Review Request: python-svg - Python wrapper for svg
Review Request: python-svg - Python wrapper for svg
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 11:21 EDT by Gwyn Ciesla
Modified: 2012-11-27 00:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-27 00:09:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gwyn Ciesla 2012-06-07 11:21:21 EDT
Description:
pySVG is a pure Python library to create/load and manipulate SVG documents.

It's main use is to "code" svg images. 

SRPM: http://fedorapeople.org/~limb/review/python-svg/python-svg-0.2.1-1.fc17.src.rpm
SPEC: http://fedorapeople.org/~limb/review/python-svg/python-svg.spec

rpmlint gives a misspelling that can be ignored, and complains about the Source URL.  I'm using the zip inside the distributed zip because the full zip contains an svg file that's CC-NC-BY, and thus not allowed.
Comment 1 Matthias Runge 2012-06-08 05:00:33 EDT
I'll do review later (probably today)
Comment 2 William Cohen 2012-06-08 17:11:08 EDT
Some comments on the rpm

rpmlint ../SRPMS/python-svg-0.2.1-1.fc18.src.rpm ../RPMS/noarch/python-svg-0.2.1-1.fc18.noarch.rpm 
python-svg.src: W: spelling-error %description -l en_US pySVG -> Pepys
python-svg.src: W: invalid-url Source0: pysvg-0.2.1.zip
python-svg.noarch: W: spelling-error %description -l en_US pySVG -> Pepys
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

Make the Source0: point at the location to get pysvg-0.2.1.zip file
http://pysvg.googlecode.com/files/pysvg-0.2.1.zip

Where did the Source1: pysvg-license.txt file come from?
The licensing isn't clear for pysvg
http://code.google.com/p/pysvg/issues/detail?id=6
It would be very good if the sources had a clear license file in the sources.
http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Clarification
    SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. [25]

Source rpm seems to violate this MUST:
    MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]



Should be able to remove the %clean section
Also can get rid of the "rm -rf $RPM_BUILD_ROOT" in %install
Comment 3 Gwyn Ciesla 2012-06-10 10:32:43 EDT
Thanks for the URL.  As I explained in the SPEC, I was using pySVG.zip, and then taking the dist/pysvg-0.2.1.zip and conf/license.txt from that.  The md5 for that zip matches your URL, so that's good, but I agree that the licensing is unclear.  I based my GPLv3 tag on the license.txt.  The site says BSD, as does that Issue comment, but upon closer reading of conf/license.txt, they can't actually use the GPLv3 that way, since they seem to restrict non-commercial use.  I've requested clarification there.
Comment 4 Matthias Runge 2012-06-12 03:50:24 EDT
Other than licensing questions:

are you going to push this for el5, also?

If not, you should remove the first 4 lines (%if...), drop buildroot, 
rm -rf from install, drop clean section and remove defattr from files section.
Comment 5 Gwyn Ciesla 2012-06-12 11:47:30 EDT
Implemented #4.  No word on licensing thusfar.
Comment 6 Matthias Runge 2012-07-09 03:59:33 EDT
Any progress regarding licensing?
Comment 7 Gwyn Ciesla 2012-07-23 10:12:16 EDT
Nothing, re-pinged.
Comment 8 Matthias Runge 2012-08-17 15:05:47 EDT
Hmm, how to proceed? Ask legal?
Other than that: If upstream is not that responsive, are you still intending to package this?
Comment 9 Gwyn Ciesla 2012-08-17 15:08:26 EDT
Best idea I've got.  Flagging FE-LEGAL.  See #3, is this admissible?
Comment 10 Gwyn Ciesla 2012-09-12 09:57:39 EDT
Ping?
Comment 12 Matthias Runge 2012-11-16 06:57:40 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 4147200 bytes in 48 files.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/mrunge/review/829809-python-svg/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[!]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 4147200 bytes in 48 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Package contains BR: python2-devel or python3-devel
[!]: Binary eggs must be removed in %prep
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (pysvg-0.2.2b.zip)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: python-svg-0.2.2b-1.fc19.src.rpm
          python-svg-0.2.2b-1.fc19.noarch.rpm
python-svg.src: W: spelling-error %description -l en_US pySVG -> Pepys
python-svg.src: W: invalid-url Source0: http://pysvg.googlecode.com/files/pysvg-0.2.2b.zip HTTP Error 404: Not Found
python-svg.noarch: W: spelling-error %description -l en_US pySVG -> Pepys
python-svg.noarch: W: hidden-file-or-dir /usr/share/doc/python-svg-0.2.2b/doc/html/.buildinfo
python-svg.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-svg-0.2.2b/doc/html/.buildinfo
python-svg.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-svg-0.2.2b/doc/html/_static/pygments.css
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-svg
python-svg.noarch: W: spelling-error %description -l en_US pySVG -> Pepys
python-svg.noarch: W: hidden-file-or-dir /usr/share/doc/python-svg-0.2.2b/doc/html/.buildinfo
python-svg.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-svg-0.2.2b/doc/html/.buildinfo
python-svg.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-svg-0.2.2b/doc/html/_static/pygments.css
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-svg-0.2.2b-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    python(abi) = 2.7



Provides
--------
python-svg-0.2.2b-1.fc19.noarch.rpm:
    
    python-svg = 0.2.2b-1.fc19



MD5-sum check
-------------


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 829809


Ok, issues left:
- you should create a -doc subpackage, html in doc takes about 3.8 MiB, especially, when the rest is 184 kilobytes.
- you must remove .egg-info in prep-phase:
rm -rf pysvg.egg-info
- you should remove doc/html/.buildinfo
- and also fix doc/html/_static/pygments.css (wrong-file-end-of-line-encoding)

not yet approved, but this are just minor glitches
Comment 14 Matthias Runge 2012-11-19 02:26:19 EST
Since the license has been clarified by upstream, I'm also lifting FE-Legal.

Package APPROVED
Comment 15 Gwyn Ciesla 2012-11-19 08:41:32 EST
Excellent, thanks for all your help!

New Package SCM Request
=======================
Package Name: python-svg
Short Description: Python wrapper for svg
Owners: limb
Branches: f18
InitialCC:
Comment 16 Gwyn Ciesla 2012-11-19 08:42:44 EST
Git done (by process-git-requests).
Comment 17 Matthias Runge 2012-11-19 08:49:23 EST
(In reply to comment #15)
> Excellent, thanks for all your help!

You're welcome!
Comment 18 Fedora Update System 2012-11-19 09:29:51 EST
python-svg-0.2.2b-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-svg-0.2.2b-2.fc18
Comment 19 Fedora Update System 2012-11-19 14:37:07 EST
python-svg-0.2.2b-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 20 Fedora Update System 2012-11-27 00:09:34 EST
python-svg-0.2.2b-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.